CVE-2023-46751

NameCVE-2023-46751
DescriptionAn issue was discovered in the function gdev_prn_open_printer_seekable() in Artifex Ghostscript through 10.02.0 allows remote attackers to crash the application via a dangling pointer.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDSA-5578-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ghostscript (PTS)bullseye (security), bullseye9.53.3~dfsg-7+deb11u7fixed
bookworm, bookworm (security)10.0.0~dfsg-11+deb12u4fixed
sid, trixie10.03.1~dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
ghostscriptsourcebuster(not affected)
ghostscriptsourcebullseye(not affected)
ghostscriptsourcebookworm10.0.0~dfsg-11+deb12u3DSA-5578-1
ghostscriptsource(unstable)10.02.1~dfsg-1

Notes

[bullseye] - ghostscript <not-affected> (Vulnerable code introduced later)
[buster] - ghostscript <not-affected> (Vulnerable code introduced later)
https://bugs.ghostscript.com/show_bug.cgi?id=707264 (restricted)
Introduced with: https://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=e1a3956f252404f07d93be47f7845b23e4a2c4de
Fixed by: https://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=dcdbc595c13c9d11d235702dff46bb74c80f7698
Fixed by: https://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=5d2da96e81c7455338302c71a291088a8396245a (ghostpdl-10.02.1)

Search for package or bug name: Reporting problems